Skip to main content
GET
Retrieve recommendation

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

recommendationId
string
required

The unique identifier of the recommendation to retrieve.

Response

successful operation

createdAt
string<date-time>
required

The date and time when the recommendation was created, in ISO 8601 format.

endDate
string<date>
required

The end date for the recommendation's relevance, formatted as a date.

id
string
required

The unique identifier for the recommendation.

influencingCitations
string[]
required

An array of strings representing citations that influenced the recommendation.

promptIds
string[]
required

An array of strings representing the IDs of prompts that influenced this recommendation.

recommendationType
enum<string>
required

The type of recommendation provided. Valid values include 'DOMAIN', 'URL', 'TECHNICAL', and 'CONTENT'.

Available options:
CONTENT,
DOMAIN,
TECHNICAL,
URL
startDate
string<date>
required

The start date for the recommendation's relevance, formatted as a date.

status
enum<string>
required

The current status of the recommendation. Valid values include 'NEW', 'IN_PROGRESS', 'COMPLETED', 'ARCHIVED', 'FAILED', 'DISMISSED', and 'DRAFT_CREATED'.

Available options:
ARCHIVED,
COMPLETED,
DISMISSED,
DRAFT_CREATED,
FAILED,
IN_PROGRESS,
NEW
actionCategory
enum<string>

The category of action suggested by the recommendation. Valid values include 'CREATE_CONTENT', 'UPDATE_CONTENT', 'OUTREACH', and 'UPDATE_ROBOTS'.

Available options:
CREATE_CONTENT,
OUTREACH,
UPDATE_CONTENT,
UPDATE_ROBOTS
actionChannel
enum<string>

The channel through which the recommended action should be taken. Valid values include 'YOUTUBE', 'LINKEDIN', 'REDDIT', 'AFFILIATE', 'PR', 'PEER', 'REVIEW_SITE', 'TECHNICAL_SEO', 'OWNED_CONTENT', 'LINKEDIN_ARTICLE', and 'LINKEDIN_POST'.

Available options:
AFFILIATE,
LINKEDIN,
LINKEDIN_ARTICLE,
LINKEDIN_POST,
OWNED_CONTENT,
PEER,
PR,
REDDIT,
REVIEW_SITE,
TECHNICAL_SEO,
YOUTUBE
answerEngine
enum<string>

The answer engine used to generate the recommendation. Valid values include 'CHATGPT', 'GEMINI', and 'CLAUDE'.

Available options:
CHATGPT,
CLAUDE,
GEMINI
associatedContentUrl
string

The URL of the content associated with the recommendation.

contentTopic
string

A string representing the topic of the content related to the recommendation.

contentType
enum<string>

The type of content associated with the recommendation. Valid values include 'UNKNOWN', 'LISTICLE', 'COMPARISON', 'PRODUCT', 'BLOG', 'DOCUMENTATION', 'WIKI', 'NEWS', 'PR', 'RESEARCH', 'USER_REVIEW', 'SOCIAL', 'HOW_TO', 'GUIDE', 'EDUCATIONAL', 'HOMEPAGE', 'MULTIMEDIA', 'ARTICLE', and 'DOMAIN'.

Available options:
ARTICLE,
BLOG,
COMPARISON,
DOCUMENTATION,
DOMAIN,
EDUCATIONAL,
GUIDE,
HOMEPAGE,
HOW_TO,
LISTICLE,
MULTIMEDIA,
NEWS,
PR,
PRODUCT,
RESEARCH,
SOCIAL,
UNKNOWN,
USER_REVIEW,
WIKI
domain
string

The domain associated with the recommendation.

justification
string

The justification for why the recommendation was made.

priority
enum<string>

The priority level of the recommendation. Valid values include 'HIGH', 'MEDIUM', and 'LOW'.

Available options:
HIGH,
LOW,
MEDIUM
recommendationSummary
string

A summary of the recommendation provided.

url
string

The URL associated with the recommendation.

Last modified on June 29, 2026